<?php

namespace App\Models\Core\Auth;

use Illuminate\Database\Eloquent\SoftDeletes;
use Laratrust\Models\LaratrustTeam;

class Team extends LaratrustTeam
{
    use SoftDeletes;

    protected $connection = 'mysql';

    public $timestamps = false;

    public function users()
    {
        return $this->hasMany(\App\Models\Core\Auth\User::class);
    }

    public function scopeActive($query)
    {
        return $query->where('active', 1);
    }
}
